Commit 43db4630 authored by Christoph Berg's avatar Christoph Berg

pg_buildext: Pass -cios options to pg_virtualenv.

parent a78f3d96
...@@ -4,6 +4,7 @@ postgresql-common (156) UNRELEASED; urgency=medium ...@@ -4,6 +4,7 @@ postgresql-common (156) UNRELEASED; urgency=medium
number of tablespaces in the old cluster. number of tablespaces in the old cluster.
* Link pg_archivecleanup from /usr/bin. (Closes: #740593) * Link pg_archivecleanup from /usr/bin. (Closes: #740593)
* pg_virtualenv: Use fsync = off for speed. * pg_virtualenv: Use fsync = off for speed.
* pg_buildext: Pass -cios options to pg_virtualenv.
-- Christoph Berg <myon@debian.org> Fri, 23 May 2014 20:47:47 +0200 -- Christoph Berg <myon@debian.org> Fri, 23 May 2014 20:47:47 +0200
......
...@@ -18,6 +18,17 @@ ...@@ -18,6 +18,17 @@
set -e set -e
VENVARGS=""
while getopts "c:i:o:s" opt ; do
case $opt in
c|i|o) VENVARGS="$VENVARGS -$opt $OPTARG" ;;
s) VENVARGS="$VENVARGS -$opt" ;;
*) exit 1 ;;
esac
done
# shift away args
shift $(($OPTIND - 1))
action="$1" action="$1"
if [ -d "$2" ] && [ "$3" ]; then # compat mode: $2 is source directory if [ -d "$2" ] && [ "$3" ]; then # compat mode: $2 is source directory
srcdir="$2" srcdir="$2"
...@@ -98,7 +109,7 @@ installcheck() { ...@@ -98,7 +109,7 @@ installcheck() {
if [ "$target" ]; then # if target is given, use it, else stay in the top source dir if [ "$target" ]; then # if target is given, use it, else stay in the top source dir
# if a Makefile was created by configure, use it, else the top level Makefile # if a Makefile was created by configure, use it, else the top level Makefile
[ -f $vtarget/Makefile ] || makefile="-f $srcdir/Makefile" [ -f $vtarget/Makefile ] || makefile="-f $srcdir/Makefile"
if ! pg_virtualenv -v $1 \ if ! pg_virtualenv $VENVARGS -v $1 \
make -C $vtarget $makefile installcheck \ make -C $vtarget $makefile installcheck \
PG_CONFIG="$pgc" VPATH="$srcdir" srcdir="$srcdir" USE_PGXS=1; then PG_CONFIG="$pgc" VPATH="$srcdir" srcdir="$srcdir" USE_PGXS=1; then
if [ -r $vtarget/regression.diffs ]; then if [ -r $vtarget/regression.diffs ]; then
...@@ -108,7 +119,7 @@ installcheck() { ...@@ -108,7 +119,7 @@ installcheck() {
exit 1 exit 1
fi fi
else else
if ! pg_virtualenv -v $1 \ if ! pg_virtualenv $VENVARGS -v $1 \
make installcheck PG_CONFIG="$pgc" srcdir="$srcdir" USE_PGXS=1; then make installcheck PG_CONFIG="$pgc" srcdir="$srcdir" USE_PGXS=1; then
if [ -r regression.diffs ]; then if [ -r regression.diffs ]; then
echo "**** regression.diffs ****" echo "**** regression.diffs ****"
......
...@@ -4,7 +4,7 @@ pg_buildext - Build and install a PostgreSQL extension ...@@ -4,7 +4,7 @@ pg_buildext - Build and install a PostgreSQL extension
=head1 SYNOPSIS =head1 SYNOPSIS
B<pg_buildext> I<action> [I<options>] B<pg_buildext> [I<options>] I<action> [I<options>]
=head1 DESCRIPTION =head1 DESCRIPTION
...@@ -38,6 +38,18 @@ Many extensions support B<make installcheck> testing using B<pg_regress>. As ...@@ -38,6 +38,18 @@ Many extensions support B<make installcheck> testing using B<pg_regress>. As
this needs the package to be installed, it cannot be run at build time. this needs the package to be installed, it cannot be run at build time.
Instead, the tests should be run using B<autopkgtest> from C<debian/tests/*>. Instead, the tests should be run using B<autopkgtest> from C<debian/tests/*>.
=head1 OPTIONS
=over 4
=item B<-cio> I<arg>
=item B<-s>
Passed to B<pg_virtualenv> when running B<installcheck>.
=back
=head1 ACTIONS =head1 ACTIONS
Most actions expect a directory name where to build the sources. It will get Most actions expect a directory name where to build the sources. It will get
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment